class OrderPlaceJob < ApplicationJob
  queue_as :critical

  def perform(order_id)
    # place some order
    if order.placed?
      UserDeductCreditJob.perform_later(user.id, order.id)
    end
  end
end
